


<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {font-family: Arial, Helvetica, sans-serif;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}
</style>

<link rel="stylesheet" href="datatables.css">
</head>
<body>
    <h4>Chat List</h4>
    
    <div id="divtable" style="border:1px solid lightgray;padding:10px">
        <table id="t1" class="display" style="text-align:left;width:100%;font-size:10px">
            <thead>
                <tr>
                    <th style="text-align:left">ID</th>
                    <th style="text-align:left">UID</th>
                    <th style="text-align:left">Last Message From</th>
                    <th style="text-align:left">Link</th>
                    <th style="text-align:left">Details</th>
                </tr>
            </thead>
            <tbody>
                
                <?php
                $hs=$_SERVER['SERVER_NAME'];
                $hs="domain";
        $servername = "localhost";
        $username = "root1_admin";
        $password = "America123@";
        $dbname = "root1_db_msgs";


        $conn = new mysqli($servername, $username, $password, $dbname);
        if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
        }

        $uid=$_GET['id'];
        //$sql = "SELECT MAX(t1.id) as id, t1.uid as uid, t2.msg_text as txt FROM msgs t1 WHERE t1.uid IN (SELECT t2.uid FROM msgs t2) GROUP BY t1.uid ORDER BY id DESC;";
        $sql="SELECT t1.id, t1.uid, t1.msg_text as str_txt, t1.type as type
              FROM msgs t1
              WHERE t1.uid IN (SELECT t2.uid FROM msgs t2)
              AND t1.id = (
                            SELECT MAX(t1_inner.id)
                            FROM msgs t1_inner
                            WHERE t1_inner.uid = t1.uid
                          )
            ORDER BY t1.id DESC;";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $id=$row["id"];
            $uid=$row["uid"];
            $txt=$row["str_txt"];
            $type=$row["type"];
            
            // echo "<div>CID: ".$id."  /  UID: ".$uid."  /  LAST: ".$type.": ".$txt."  <a href='#' id='details_".$uid."' onclick='f_details_(\"".$uid."\")'>Details</a>"."</div><br>";
            
            echo ' <tr>
                    <td style="text-align:left">'.$id.'</td>
                    <td style="text-align:left">'.$uid.'</td>
                    <td style="text-align:left">'.$type.': '.$txt.'</td>
                    <td style="text-align:left">https://'.$hs.'?id='.$uid.'</td>
                    <td style="text-align:left"><a href="#" id="details_'.$uid.'" onclick="f_details_(\''.$uid.'\')">Details</a></td>
                </tr>';
}}
?>

               
            </tbody>
            <tfoot>
                 <tr>
                    <th style="text-align:left">ID</th>
                    <th style="text-align:left">UID</th>
                    <th style="text-align:left">Last Message From</th>
                    <th style="text-align:left">Link</th>
                    <th style="text-align:left">Details</th>
                </tr>
            </tfoot>
        </table>
  </div>



<!-- The Modal -->
<div id="myModal" class="modal">

  <!-- Modal content -->
  <div class="modal-content">
    <span class="close">&times;</span>
    <h2 id="hcont"></h2>
    <p id="cont" style="word-wrap:break-word;overflow: scroll;
    height: 500px;padding:10px"></p>
  </div>

</div>

<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="datatables.js"></script>
<script type="text/javascript">

$(document).ready(function(){
   $('#t1').DataTable({
    "ordering": false,
 });
});

function f_details_(txt)
{

var modal = document.getElementById("myModal");

$.ajax({
            url:"details.php",    
            type: "post",    
            data: {txt: txt},
            success:function(result){
                modal.style.display = "block";
                var content = document.getElementById("cont");
                var hcont = document.getElementById("hcont");
                hcont.innerHTML="";
                hcont.innerHTML="Details for: "+txt;
                content.innerHTML="";
                content.innerHTML=result;
            }
        });



var span = document.getElementsByClassName("close")[0];
span.onclick = function() {
  modal.style.display = "none";
}
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}


}



</script>

</body>
</html>
