

<?php
session_start();
$ses="";
if(!isset($_SESSION['in']))
{
    header("Location: in.php?err=Session expired!");
}
$ses=$_SESSION['in'];

$u="";
if(isset($_GET['u']))
{
    $u=base64_decode($_GET['u']);
}

include 'config.php';
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Platio</title>
<link rel="stylesheet" href="datatables.css">

<style>
    /* Resetting default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  /* Body styles */
  body {
    font-family: Verdana , sans-serif;
  }
  
  /* Header styles */
  header {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .logo h1 {
    margin: 0;
  }
  
  nav ul {
    list-style-type: none;
    display: flex;
  }
  
  nav ul li {
    margin-right: 20px;
  }
  
  nav ul li:last-child {
    margin-right: 0;
  }
  
  nav ul li a {
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease;
  }
  
  nav ul li a:hover {
    color: #ffd700; /* Change to your desired hover color */
  }
  
  /* Dropdown styles */
  .dropdown {
    position: relative;
  }
  
  .dropbtn {
    color: #fff;
    text-decoration: none;
    cursor: pointer;
    transition: color 0.3s ease;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    color: #fff;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: background-color 0.3s ease;
  }
  
  .dropdown-content a:hover {
    background-color: #444;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* Content styles */
  .content {
    padding: 20px;
    background-color: #f9f9f9;
    border-top: 2px solid #333;
  }
  

  .loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255 255 255 / 96%); /* Semi-transparent black background */
  display: none; /* Initially hidden */
}

/* Loader animation */
.loader:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
</style>
</head>
<body>

<header>
  <div class="logo">
    <h1>Platio</h1>
  </div>
  <nav>
    <ul>
      
      <li class="dropdown">
        <a href="#" class="dropbtn">Menu</a>
        <div class="dropdown-content">
          <a href="#">Service 1</a>
          <a href="#">Service 2</a>
          <a href="#">Service 3</a>
        </div>
      </li>

      <li>Loggedin as: <span style="color:#26f126"><?php echo $u; ?></span></li>

      <li class="dropdown">
        <a href="#" class="dropbtn">Logout?</a>
        <div class="dropdown-content">
          <form method="POST" action="logout.php" style="padding:20px">
            <input type="submit" name="submit" value="YES" />
          </form>
        </div>
      </li>

    </ul>
  </nav>
</header>

<div id="loader" class="loader"></div>
<div class="content">
<h4>Lead List <a class="btnc" href="cre.php">NEW LEAD</a></h4>
        <h4 style="background-color:green;color:white;"><?php echo $_GET['msg']; ?></h4>

<div id="filter_options" style="border:1px solid lightgray;border-radius:3px;padding:7px;box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px, rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;">
<b style="font-size:10px">Company:</b>
  <input type="text" id="company" />  
<b style="font-size:10px">Firstname:</b>
  <input type="text" id="fname" />
  <b style="font-size:10px">Lastname:</b>
  <input type="text" id="lname" />
  <b style="font-size:10px">Uid:</b>
  <input type="text" id="uid" />
  <b style="font-size:10px">Email:</b>
  <input type="text" id="email" />
  

  <button id="btnSearch" onclick="f_Search()">Search</button>
  <button id="btnShowAll" onclick="f_ShowAll()">Show all</button>
  
  <?php
    if($u=="admin")
    {
        echo '<button id="btnExport" onclick="export_f()">Export to CSV</button>';
    }
  ?>
  
  <div id="related_values" style="border:1px solid lightgray;border-radius:3px;padding:5px;margin-top:5px;font-size:11px"></div>
</div>
<br>
  <div id="addtable" style="border:1px solid lightgray;border-radius:3px;padding:7px;box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px, rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;">
                    </div>
</div>

</body>

<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="datatables.js"></script>

    <script>

function export_f() {
  var t1 = document.getElementById("t1");
  var bigarr = ["name,email,uid,company,img"];

  for (var i = 0; i < t1.rows.length; i++) {
    var row = t1.rows[i];
    var rowd = [];

    var cs = row.querySelectorAll('.name, .email, .uid, .company, .img');
    cs.forEach(function(cell) {
      rowd.push(cell.textContent.toString());
    });

    bigarr.push(rowd.join(','));
  }


  var cFile = 'data:text/csv;charset=utf-8,' + bigarr.join('\n');
  var eu = encodeURI(cFile);
  var l1 = document.createElement('a');
  l1.setAttribute('href', eu);
  l1.setAttribute('download', 'exportl.csv');
  document.body.appendChild(l1);
  l1.click();
  document.body.removeChild(l1);
}



        const loader = document.getElementById('loader');
        $(document).ready(function() {

          $('#company').on('input', function() {
        let st = $(this).val().trim();
        if (st.length > 0) {
            $.ajax({
                url: 'related_values.php',
                type: 'POST',
                data: { st: st },
                success: function(response) {
                    $('#related_values').html(response);
                }
            });
        } else {
            $('#related_values').html('');
        }
    });

    $(document).on('click', '.related_value', function() {
        let vitem = $(this).text();
        $('#company').val(vitem);
        $('#related_values').html('');
    });

        });

        function f_Search(){
            loader.style.display = 'block';
            var fname=$("#fname").val();var lname=$("#lname").val();var uid=$("#uid").val();var email=$("#email").val();var company=$("#company").val();
            $.ajax({
                type: 'POST', url: 'search.php', data: {fname:fname,lname:lname,uid:uid,email:email,company:company},
                success: function(response) 
                {
                    //alert(response);
                    $("#addtable").empty(); $("#addtable").html(response); $('#t1').DataTable(); 
                    loader.style.display = 'none';
                }
            });
        }

        function f_ShowAll(){
            loader.style.display = 'block';
            const xhr = new XMLHttpRequest();
            xhr.open('POST', 'showall.php', true);
            xhr.onreadystatechange = function() 
            {
                if (xhr.readyState === 4) 
                {
                    loader.style.display = 'none';
                    if (xhr.status === 200) 
                    {
                        $("#addtable").empty();
                        $("#addtable").html(xhr.responseText);
                        $('#t1').DataTable();
                    } 
                    else 
                    {
                        console.error('Error:', xhr.statusText);
                    }
                }
            };
            xhr.send();
        }
        
        function copyuidfn(id){
            var inp = document.getElementById('copyuid_'+id);
            inp.select();
            document.execCommand('copy');
        }


        function copyfn(id){
            var inp = document.getElementById('copyval_'+id);
            inp.select();
            document.execCommand('copy');
        }
        
        function f_deleteall(id)
        {
            if(confirm("Are you sure you want to delete ID:"+id)==true)
            {
                $.ajax({
                type: 'POST', url: 'delete_post.php', data: {id:id},
                success: function(response) 
                {
                    alert(response);
                    f_ShowAll();
                }
            });
            }

        }
        
        function f_deletesearch(id)
        {
            if(confirm("Are you sure you want to delete ID:"+id)==true)
            {
                $.ajax({
                type: 'POST', url: 'delete_post.php', data: {id:id},
                success: function(response) 
                {
                    alert(response);
                    f_Search();
                }
            });
            }

        }
        
        
        
    </script>
</html>
