
<?php
session_start();
$ses="";
if(!isset($_SESSION['in']))
{
    header("Location: in.php?err=Session expired!");
}
$ses=$_SESSION['in'];

include 'config.php';
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Platio</title>
<link rel="stylesheet" href="datatables.css">

<style>
    /* Resetting default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  /* Body styles */
  body {
    font-family: Verdana , sans-serif;
  }
  
  /* Header styles */
  header {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .logo h1 {
    margin: 0;
  }
  
  nav ul {
    list-style-type: none;
    display: flex;
  }
  
  nav ul li {
    margin-right: 20px;
  }
  
  nav ul li:last-child {
    margin-right: 0;
  }
  
  nav ul li a {
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease;
  }
  
  nav ul li a:hover {
    color: #ffd700; /* Change to your desired hover color */
  }
  
  /* Dropdown styles */
  .dropdown {
    position: relative;
  }
  
  .dropbtn {
    color: #fff;
    text-decoration: none;
    cursor: pointer;
    transition: color 0.3s ease;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    color: #fff;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: background-color 0.3s ease;
  }
  
  .dropdown-content a:hover {
    background-color: #444;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* Content styles */
  .content {
    padding: 20px;
    background-color: #f9f9f9;
    border-top: 2px solid #333;
  }
  

  .loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255 255 255 / 96%); /* Semi-transparent black background */
  display: none; /* Initially hidden */
}

/* Loader animation */
.loader:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

input[type=text], input[type=email], select {
            width: 100%;
            padding: 5px 5px;
            margin: 8px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
            }

</style>
</head>
<body>

<header>
  <div class="logo">
    <h1>Platio</h1>
  </div>
  <nav>
    <ul>
    <li class="dropdown">
        <a href="#" class="dropbtn">Menu</a>
        <div class="dropdown-content">
          <a href="#">Service 1</a>
          <a href="#">Service 2</a>
          <a href="#">Service 3</a>
        </div>
      </li>

      <li>Loggedin as: <span style="color:#26f126"><?php echo $ses; ?></span></li>

      <li class="dropdown">
        <a href="#" class="dropbtn">Logout?</a>
        <div class="dropdown-content">
          <form method="POST" action="logout.php" style="padding:20px">
            <input type="submit" name="submit" value="YES" />
          </form>
        </div>
      </li>
    </ul>
  </nav>
</header>

<div id="loader" class="loader"></div>
<div class="content">
<h4>New Lead <a class="btnc" href="home.php">Back to list</a></h4>
        <h4 style="background-color:green;color:white;width:50%"><?php echo $_GET['msg']; ?></h4>

<div id="filter_options" style="border:1px solid lightgray;border-radius:3px;padding:7px;box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px, rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;font-size:12px;width:50%">
<form action="crpost.php" method="POST" id="f1" enctype="multipart/form-data">
            <b>First name:</b><br>
            <input type="text" name="fname" id="fname" class="inpcl" required />

            <br><br>

            <b>Last name:</b><br>
            <input type="text" name="lname" id="lname" class="inpcl" required />

            <br><br>

            <b>Email:</b><br>
            <input type="email" name="email" id="email" class="inpcl" required />

            <br><br>

            <b>UID:</b><br>
            <input type="text" name="uid" id="uid" class="inpcl" required />

            <br><br>

            <b>Company name:</b><br>
            <input type="text" name="company" id="search_company" class="inpcl" required />
            <div id="related_values" style="border:1px solid lightgray;border-radius:3px;padding:5px;width:100%"></div>

            <br><br>

            <b>Company ID:</b><br>
            <input type="text" name="companyid" id="companyid" class="inpcl"  />
            
            <br><br>

            <b>Picture:</b><br>
            <input type="file" name="image" id="image" class="inpcl"  required/>

            <br><br>

       

            <br><br>

            <input type="submit" name="submit" value="Submit" id="submit" />
        </form>
</div>

</div>

</body>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript">
$(document).ready(function() {
    $('#search_company').on('input', function() {
        let st = $(this).val().trim();
        if (st.length > 0) {
            $.ajax({
                url: 'related_values.php',
                type: 'POST',
                data: { st: st },
                success: function(response) {
                    $('#related_values').html(response);
                }
            });
        } else {
            $('#related_values').html('');
        }
    });

    $(document).on('click', '.related_value', function() {
        let vitem = $(this).text();
        $('#search_company').val(vitem);
        $('#related_values').html('');
    });
});
</script>

</html>
