

<?php

?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Platio</title>
<link rel="stylesheet" href="datatables.css">

<style>
    /* Resetting default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  /* Body styles */
  body {
    font-family: Verdana , sans-serif;
  }
  
  /* Header styles */
  header {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .logo h1 {
    margin: 0;
  }
  
  nav ul {
    list-style-type: none;
    display: flex;
  }
  
  nav ul li {
    margin-right: 20px;
  }
  
  nav ul li:last-child {
    margin-right: 0;
  }
  
  nav ul li a {
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease;
  }
  
  nav ul li a:hover {
    color: #ffd700; /* Change to your desired hover color */
  }
  
  /* Dropdown styles */
  .dropdown {
    position: relative;
  }
  
  .dropbtn {
    color: #fff;
    text-decoration: none;
    cursor: pointer;
    transition: color 0.3s ease;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    color: #fff;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: background-color 0.3s ease;
  }
  
  .dropdown-content a:hover {
    background-color: #444;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* Content styles */
  .content {
    padding: 20px;
    background-color: #f9f9f9;
    border-top: 2px solid #333;
  }
  

  .loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255 255 255 / 96%); /* Semi-transparent black background */
  display: none; /* Initially hidden */
}

/* Loader animation */
.loader:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

input[type=text], input[type=password] {
            width: 30%;
            padding: 5px 5px;
            margin: 8px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
            }
</style>
</head>
<body>

<header>
  <div class="logo">
    <h1>Platio</h1>
  </div>
  <nav>

  </nav>
</header>
<div class="content">

  <div id="addtable" style="border:1px solid lightgray;border-radius:3px;padding:7px;box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px, rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;">
    <h4>Get in</h4>

    <form action="in_post.php" method="post">
        <b style="font-size:11px;margin-top:5px">User:</b><br>
        <input type="text" id="user" name="user" required/>

        <br><br>

        <b style="font-size:11px">Key:</b><br>
        <input type="password" id="key" name="key" required/>

        <br><br>

        <input type="submit" value="Submit" name="submit"/>
        <br><br>
        <span style="color:red"><?php if(isset($_GET['err'])){echo $_GET['err'];}else{ echo "";} ?></span>
    </form>

  </div>
</div>

</body>

<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="datatables.js"></script>


</html>
